package com.qy.worksheetsystem.model.mapper;

import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface THRATSWorkCalendarItemMapper {
    /**
     * 获取工作日历
     * @param map  里面存的开始时间和结束时间
     * @return
     */

    List<Map<String,String>> selectWorkCalendar(Map map);
    /**
     * 获取工作日历
     * @return
     */

    List<Map<String,String>> selectWorkCalendarV2(@Param("startDate") String startDate, @Param("endDate") String endDate);

    /**
     * 获取工作日历
     * @param calDate  日期
     * @return
     */

    Map<String,String> getWorkCalendar(String calDate);

    List<Map<String,Object>> getWorkDay(@Param("startDate") String startDate, @Param("endDate") String endDate);

}
